Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`_pollingfile``

module documentation
(source)

Implements a simple polling interface for file descriptors that don't work with select() - this is pretty much only useful on Windows.

Constant | `FULL_BUFFER_SIZE` | Undocumented
Constant | `MAX_TIMEOUT` | Undocumented
Constant | `MIN_TIMEOUT` | Undocumented
Class | `_PollableReadPipe` | Undocumented
Class | `_PollableResource` | Undocumented
Class | `_PollableWritePipe` | No class docstring; 0/7 instance variable, 4/10 methods documented
Class | `_PollingTimer` | Undocumented

FULL_BUFFER_SIZE = (source)

Undocumented

Value

    64*1024

MAX_TIMEOUT: `float` = (source)

Undocumented

Value

    0.1

MIN_TIMEOUT: `float` = (source)

Undocumented

Value

    1e-09